<div class="dialog-content-wrapper logo-form-dialog">
    <mat-toolbar matDialogTitle class="mat-accent m-0">
        <mat-toolbar-row fxLayout="row" fxLayoutAlign="space-between center">
            <span class="title dialog-title">Import Database</span>
            <button mat-icon-button (click)="OnClose()" aria-label="Close dialog">
                <mat-icon>close</mat-icon>
            </button>
        </mat-toolbar-row>


    </mat-toolbar>

    <div mat-dialog-content class="p-24 pb-0 m-0" >
        <mat-dialog-content class="mat-typography">
            <div fxFill fxLayout="column">

                <div fxFlex fxLayout="row">
                    <!--            Left div-->
                    <div fxFlex="20" class="left-menu">
                        <input #fileInput type="file" accept=".sql"
                               ng2FileSelect [uploader]="uploader" multiple/>
                        <div class="drop-box" ng2FileDrop
                             [ngClass]="{'dragover': isDropOver}"
                             [uploader]="uploader"
                             (fileOver)="fileOverAnother($event)"
                             (click)="fileClicked()">
                            <span class="drag-in-title">Import or drag image here</span>
                            <span class="drag-over-title">Drop the image</span>
                        </div>
                        <!--
                                        <div ng2FileDrop
                                             [ngClass]="{'nv-file-over': hasBaseDropZoneOver}"
                                             (fileOver)="fileOverBase($event)"
                                             [uploader]="uploader"
                                             class="well my-drop-zone">
                                            Base drop zone
                                        </div>
                                        Multiple
                                        <input type="file" ng2FileSelect [uploader]="uploader" multiple  />
                          -->
                    </div>

                    <div fxFlex="70" class="content">
                        <table class="table">
                            <thead>
                            <tr>
                                <th width="50%">Name</th>
                                <th>Size</th>
                                <th>Progress</th>
                                <th>Status</th>
                                <th>Actions</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr *ngFor="let item of uploader.queue">
                                <td><strong>{{ item?.file?.name }}</strong></td>
                                <td *ngIf="uploader.options.isHTML5" nowrap>{{ item?.file?.size/1024/1024 | number:'.2' }} MB</td>
                                <td *ngIf="uploader.options.isHTML5">
                                    <div class="progress" style="margin-bottom: 0;">
                                        <div class="progress-bar" role="progressbar" [ngStyle]="{ 'width': item.progress + '%' }"></div>

                                    </div>
                                </td>
                                <td class="text-center">
                                    <span *ngIf="item.isSuccess">
            <!--                            <i class="glyphicon glyphicon-ok"></i>-->
                                        <!--                        <mat-icon>search</mat-icon>-->
                                       <mat-icon>done_outline</mat-icon>
                                    </span>
                                    <span *ngIf="item.isCancel"><mat-icon>cancel</mat-icon></span>
                                    <span *ngIf="item.isError"><mat-icon>error_outline</mat-icon></span>
                                </td>
                                <td nowrap>
                                    <button type="button" class="btn btn-success btn-xs"
                                            (click)="item.upload()" [disabled]="item.isReady || item.isUploading || item.isSuccess">
                                        <span class="glyphicon glyphicon-upload"></span> Update
                                    </button>
                                    <button type="button" class="btn btn-warning btn-xs"
                                            (click)="item.cancel()" [disabled]="!item.isUploading">
                                        <span class="glyphicon glyphicon-ban-circle"></span> Cancel
                                    </button>
                                    <button type="button" class="btn btn-danger btn-xs"
                                            (click)="item.remove()">
                                        <span class="glyphicon glyphicon-trash"></span> Remove
                                    </button>
                                </td>
                            </tr>
                            </tbody>
                        </table>

                        <div>
                            <div>
                                Queue progress:
                                <div class="progress" style="">
                                    <div class="progress-bar" role="progressbar" [ngStyle]="{ 'width': uploader.progress + '%' }"></div>
                                </div>
                            </div>
                            <!-- <button type="button" class="btn btn-success btn-s"
                                    (click)="uploader.uploadAll()" [disabled]="!uploader.getNotUploadedItems().length">
                                <span class="glyphicon glyphicon-upload"></span> Upload all
                            </button>
                            <button type="button" class="btn btn-warning btn-s"
                                    (click)="uploader.cancelAll()" [disabled]="!uploader.isUploading">
                                <span class="glyphicon glyphicon-ban-circle"></span> Cancel all
                            </button>
                            <button type="button" class="btn btn-danger btn-s"
                                    (click)="uploader.clearQueue()" [disabled]="!uploader.queue.length">
                                <span class="glyphicon glyphicon-trash"></span> Remove all
                            </button> -->
                        </div>
                    </div>
                </div>

            </div>

        </mat-dialog-content>
    </div>

</div>

